Bug 2149632 - gtk3-3.24.35 broke double click to maximize in many apps (regression from gtk3-3.24.34)
Summary: gtk3-3.24.35 broke double click to maximize in many apps (regression from gtk...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FinalBlocker, FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-11-30 13:09 UTC by Kamil Páral
Modified: 2023-02-02 03:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
bcotton: fedora_prioritized_bug+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk issues 5389 0 None opened gtk3-3.24.35 broke double click to maximize in many apps (regression from gtk3-3.24.34) 2023-01-27 20:27:15 UTC

Description Kamil Páral 2022-11-30 13:09:49 UTC
Please see the bug description here:
https://gitlab.gnome.org/GNOME/gtk/-/issues/5389

Comment 1 Kamil Páral 2022-11-30 13:13:45 UTC
Double clicking the title bar is probably the most well-known way to maximize an application. Because GNOME no longer shows the maximize button by default in the title bar, users can either double click the title bar, or move the apps towards the top side of the screen, or use a keyboard shortcut. I'm afraid the latter two are not well-known among general users. I think basic functionality of the desktop (window management) is broken here, proposing for a blocker discussion. Also, nominating as a prioritized bug, because we recently shipped this broken update to our stable users. [1]


[1] https://bodhi.fedoraproject.org/updates/FEDORA-2022-66a42eef4c

Comment 2 Ben Cotton 2022-11-30 15:50:58 UTC
In today's Prioritized Bugs meeting, we agreed to accept this as it is a serious behavior change regression in a minor update. And we suggest using a higher karma threshold for gtk updates except in the case of urgent security updates.

https://meetbot.fedoraproject.org/fedora-meeting-1/2022-11-30/fedora_prioritized_bugs_and_issues.2022-11-30-15.01.log.html#l-101

Comment 3 Ben Cotton 2023-01-16 19:17:15 UTC
Nudged the Workstation WG in chat to see if someone could look at this?

Comment 5 Fedora Update System 2023-02-01 14:17:54 UTC
FEDORA-2023-bc365a2337 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bc365a2337

Comment 6 Fedora Update System 2023-02-01 16:15:34 UTC
FEDORA-2023-6e6084b5ec has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e6084b5ec

Comment 7 Fedora Update System 2023-02-02 02:16:08 UTC
FEDORA-2023-bc365a2337 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bc365a2337`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bc365a2337

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-02-02 03:10:37 UTC
FEDORA-2023-6e6084b5ec has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e6084b5ec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e6084b5ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.